# General project settings
cmake_minimum_required(VERSION 3.22)
project(FloatPUMP VERSION 2.0.0 LANGUAGES C CXX ASM)

# Custom options
option(ENABLE_UNITTESTS "Activates the unittesting framework" OFF)

# General language considerations
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_C_STANDARD 11)

# General Project
if(NOT ENABLE_UNITTESTS)
    add_subdirectory(floatpump)
endif ()

# Testing Project
if(ENABLE_UNITTESTS)
    message(STATUS "Enabled Unit Tests")
    add_subdirectory(Catch2)
    add_subdirectory(Tests)
endif()